org.apache.commons.jelly.parser

## Class DefaultNamespaceFilter

- java.lang.Object
- - org.xml.sax.helpers.XMLFilterImpl
  - - org.apache.commons.jelly.parser.DefaultNamespaceFilter

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler, XMLFilter, XMLReader

    public class DefaultNamespaceFilter
    extends org.xml.sax.helpers.XMLFilterImpl

XMLFilter that can provide a default namespace when one has not been declared by the XML document. Note: this class does not address the namespace of attributes.

Author:
  Morgan Delagrange

### Field Summary

Fields
`protected String` `uriDefault`

### Constructor Summary

Constructors
Constructor and Description
`DefaultNamespaceFilter(String defaultNamespace, XMLReader reader)` Filter for undefined an undefined namespace

### Method Summary

Methods
`void` `endElement(String namespaceURI, String localName, String qName)` All incoming empty URIs will be remapped to the default.
`void` `startElement(String uri, String localName, String qName, Attributes atts)` All incoming empty URIs will be remapped to the default.
`void` `startPrefixMapping(String prefix, String uri)` All incoming empty URIs will be remapped to the default.

### Methods inherited from class org.xml.sax.helpers.XMLFilterImpl

`characters, endDocument, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### uriDefault

    protected String uriDefault

### Constructor Detail

#### DefaultNamespaceFilter

    public DefaultNamespaceFilter(String defaultNamespace,
                          XMLReader reader)

Filter for undefined an undefined namespace

Parameters:
  `defaultNamespace` - uri for the jelly namespace
  `reader` - XMLReader to filter

### Method Detail

#### startPrefixMapping

    public void startPrefixMapping(String prefix,
                          String uri)
                            throws SAXException

All incoming empty URIs will be remapped to the default.

Specified by:
  `startPrefixMapping` in interface `ContentHandler`
Overrides:
  `startPrefixMapping` in class `org.xml.sax.helpers.XMLFilterImpl`
Parameters:
  `prefix` - incoming prefix
  `uri` - URI to check and potentially replace
Throws:
  `SAXException`

#### startElement

    public void startElement(String uri,
                    String localName,
                    String qName,
                    Attributes atts)
                      throws SAXException

All incoming empty URIs will be remapped to the default.

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `org.xml.sax.helpers.XMLFilterImpl`
Parameters:
  `uri` - URI to check and potentially replace
  `localName` -
  `qName` -
  `atts` -
Throws:
  `SAXException`

#### endElement

    public void endElement(String namespaceURI,
                  String localName,
                  String qName)
                    throws SAXException

All incoming empty URIs will be remapped to the default.

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `org.xml.sax.helpers.XMLFilterImpl`
Parameters:
  `namespaceURI` - URI to check and potentially replace
  `localName` -
  `qName` -
Throws:
  `SAXException`